program SquareCell;

uses
  Forms,
  Display in 'Display.pas' {DisplayForm},
  Options in 'Options.pas' {OptionsDialog},
  LoadRule in 'LoadRule.pas' {LoadRuleDialog},
  WeightedGenerations in 'WeightedGenerations.pas' {WeightedGenerationsDialog},
  InteractingStates in 'InteractingStates.pas' {InteractingStatesDialog},
  GeneralBinary in 'GeneralBinary.pas' {GeneralBinaryDialog},
  StateSelector in 'StateSelector.pas' {StateSelectorDialog},
  SelectionControl in 'SelectionControl.pas' {SelectionControlDialog},
  About in 'About.pas' {AboutDialog},
  AnalysisResult in 'AnalysisResult.pas' {AnalysisResultForm},
  SquareCA in 'SquareCA.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(TDisplayForm, DisplayForm);
  Application.CreateForm(TOptionsDialog, OptionsDialog);
  Application.CreateForm(TLoadRuleDialog, LoadRuleDialog);
  Application.CreateForm(TWeightedGenerationsDialog, WeightedGenerationsDialog);
  Application.CreateForm(TInteractingStatesDialog, InteractingStatesDialog);
  Application.CreateForm(TGeneralBinaryDialog, GeneralBinaryDialog);
  Application.CreateForm(TStateSelectorDialog, StateSelectorDialog);
  Application.CreateForm(TSelectionControlDialog, SelectionControlDialog);
  Application.CreateForm(TAboutDialog, AboutDialog);
  Application.CreateForm(TAnalysisResultForm, AnalysisResultForm);
  Application.Run;
end.

